#ifndef YUNIMIN3_H
#define YUNIMIN3_H

#include "yuniminFunctions.h"
#include "loadConfig.h"

void setConnection();

bool initialization()
{
    setConnection();
    return startClient();
}

void run();

void finish()
{
    endClient();
}

int main()
{
    if( !initialization() )
    {
        return 0;
    }
    std::cout << "Program is running..." << std::endl;
    run();
    std::cout << "Program finished..." << std::endl;
    finish();
    return 0;
}

#endif // YUNIMIN3_H
